# -*- coding: utf-8 -*-
from calibre.gui2.save import Saver
try:
    from PyQt5.Qt import pyqtSignal
except:
    from PyQt4.Qt import pyqtSignal

class FormatSaver(Saver):
    end_signal = pyqtSignal()
    
    def __init__(self, book_ids, db, opts, root, parent=None, pool=None):
        Saver.__init__(self, book_ids, db, opts, root, parent=parent, pool=pool)
    
    def writing_finished(self):
        Saver.writing_finished(self)
        self.end_signal.emit()
        